!!!Listing 2 - Anfragen an die Geometrie "Osnabrck"

-- Datentyp einer Geometrie
select GeometryType(the_geom) as "Typ der Geometrie"
  from gewaesserflaechen
    where gpnameid like '%Rubbenbruch-See%';

 Typ der Geometrie
-------------------
 MULTIPOLYGON

-------------------------------------------------------

-- Anzahl der Geometrien in einer Multi-Geometrie
select NumGeometries(the_geom) as "Anzahl der Polygone"
  from gewaesserflaechen
    where gpnameid like '%Rubbenbruch-See%';

 Anzahl der Polygone
---------------------
                   8

------------------------------------------------------

-- Selektion des 2. Polygons und Darstellung als
-- Well Known Text (verkrzt)
select AsEWKT(GeometryN(the_geom,2)) as "WKT-Format"
  from gewaesserflaechen
    where gpnameid like '%Rubbenbruch-See%';

 WKT-Format                                           
------------------------------------------------------
 SRID=31467;POLYGON((3430892.51 5795675.73, ...))

------------------------------------------------------

-- Ausgabe einer Geometrie in GML
--   (verkrzt, formatiert)

select AsGML(GeometryN(the_geom,2)) as "GML-Format"
   from gewaesserflaechen
     where gpnameid like '%Rubbenbruch-See%';

 GML-Format
-----------------------------------
 <gml:Polygon srsName="EPSG:31467">
   <gml:OuterBoundaryIs>
     3430892.51,5795675.73
     3430889.32,5795669.34
     ...
   </gml:OuterBoundaryIs>
 </gml:Polygon>

------------------------------------------------------

-- Welche Straen liegen an der Hamburger Str.?

select distinct s1.strname
  from strassen as s1, strassen as s2
    where     s2.strname like '%Hamburger Str%'
          and touches(s1.the_geom, s2.the_geom);

       strname
---------------------
 August-Bebel-Platz
 Bruchstr.
 Frankenstr.
 Franz-Lenz-Str.
 Hamburger Str.
 kein Name vorhanden
 Rotenburger Str.
 Schinkelstr.




------------------------------------------------------

-- Welche Straen berqueren die Nette?
     (verkrzt)

select s.strname
  from strassen as s, gewaesserlinien as g
    where     g.glname = 'Nette'
          and crosses(s.the_geom, g.the_geom);

         strname
--------------------------
 Elbestr. 01-52
 Rheinstr.
 Mhleneschweg
 Hansastr.
 Vehrter Landstr. 004-098
 Insterburger Weg
 Netteweg

------------------------------------------------------

-- Welche Straen / Wege liegen im Heger Holz?
     (verkrzt)

select s.strname
  from strassen as s, gruenflaechen as g
    where     g.gfname like '%Heger Holz%'
          and within (s.the_geom, g.the_geom);

       strname
---------------------
 Fichtenstr.
 kein Name vorhanden

------------------------------------------------------

-- Flche des Rubbenbruch Sees
select area(the_geom) as "Flche des Rubbenbruch Sees"
  from gewaesserflaechen
    where gpnameid like '%Rubbenbruch-See%';

 Flche des Rubbenbruch Sees
-----------------------------
            264093.816147804

------------------------------------------------------

-- Lnge des erfassten Straennnetzes
select sum(length(the_geom))
  as "Lnge des erfassten Straennetzes"
    from strassen;

 Lnge des erfassten Straennetzes
-----------------------------------
                   1319490.6146343

------------------------------------------------------

-- Gre der erfassten Waldflchen
select sum(area(the_geom))
  as "Gre der erfassten Waldflchen"
    from gruenflaechen
      where gftypname = 'Wald';

 Gre der erfassten Waldflchen
---------------------------------
                24605847.1508713
