!!!Listing 3 - Ausflug in Grne


------------------------------------------------------
-- Teil 1
-- Anlegen der Anfragelayers und Geometriespalten

...

create table request_gewaesserflaechen (
  like gewaesserflaechen);
alter table request_gewaesserflaechen
  drop the_geom;
select AddgeometryColumn (
  '',
  'request_gewaesserflaechen',
  'the_geom',
  31467,
  'MULTIPOLYGON',
  2);
CREATE INDEX "request_gewaesserflaechen_the_geom_gist"
  ON "request_gewaesserflaechen"
  using gist ("the_geom" gist_geometry_ops);

create table request_gewaesserlinien (
  like gewaesserlinien);
alter table request_gewaesserlinien
  drop the_geom;
select AddgeometryColumn (
  '',
  'request_gewaesserlinien',
  'the_geom',
  31467,
  'MULTILINESTRING',
  2);
CREATE INDEX "request_gewaesserlinien_the_geom_gist"
  ON "request_gewaesserlinien"
  using gist ("the_geom" gist_geometry_ops);

create table request_gruenflaechen (
  like gruenflaechen);
alter table request_gruenflaechen
  drop the_geom;
select AddgeometryColumn (
  '',
  'request_gruenflaechen',
  'the_geom',
  31467,
  'MULTIPOLYGON',
  2);
CREATE INDEX "request_gruenflaechen_the_geom_gist"
  ON "request_gruenflaechen"
  using gist ("the_geom" gist_geometry_ops);

create table request_poi (
  like poi);
alter table request_poi
  drop the_geom;
select AddgeometryColumn (
  '',
  'request_poi',
  'the_geom',
  31467,
  'POINT',
  2);
CREATE INDEX "request_poi_the_geom_gist"
  ON "request_poi"
  using gist ("the_geom" gist_geometry_ops);

create table request_strassen (
  like strassen);
alter table request_strassen
  drop the_geom;
select AddgeometryColumn (
  '',
  'request_strassen',
  'the_geom',
  31467,
  'MULTILINESTRING',
  2);
CREATE INDEX "request_strassen_the_geom_gist"
  ON "request_strassen"
  using gist ("the_geom" gist_geometry_ops);


------------------------------------------------------

-- Teil 2:
-- Parkplatzsuche fr den Ausflug ins Grne

-- a) ermittle alle Parkpltze in der Nhe (<= 500m)
-- des Heger Holzes und speichere die Ergebnisse im
-- POI-Layer fr diese Anfrage

insert into request_poi (
  select p.*
    from poi as p, gruenflaechen as g
      where     p.poitypname = 'Parkplatz'
            and g.gfname like '%Heger Holz%'
            and distance(p.the_geom, g.the_geom) <= 500.0);


-- b) ermittle alle Objekte in 500m Entfernung vom
-- Heger Holz und speichere die Ergebnisse in den
-- jeweiligen Layern fr diese Anfrage

insert into request_gewaesserflaechen (
  select gew.*
    from gewaesserflaechen as gew, gruenflaechen as g
      where     g.gfname like '%Heger Holz%'
            and distance(gew.the_geom, g.the_geom) <= 500.0);

insert into request_gewaesserlinien (
  select gel.*
    from gewaesserlinien as gel, gruenflaechen as g
      where     g.gfname like '%Heger Holz%'
            and distance(gel.the_geom, g.the_geom) <= 500.0);

insert into request_gruenflaechen (
  select g1.*
    from gruenflaechen as g1, gruenflaechen as g2
      where      g2.gfname like '%Heger Holz%'
             and distance(g1.the_geom, g2.the_geom) <= 500.0);

insert into request_strassen (
  select s.*
    from strassen as s, gruenflaechen as g
      where     g.gfname like '%Heger Holz%'
            and distance(s.the_geom, g.the_geom) <= 500.0);

------------------------------------------------------

-- Teil 3:
-- Optimierung fr den PostgreSQL Query Planner

VACUUM ANALYZE request_gewaesserflaechen;
VACUUM ANALYZE request_gewaesserlinien;
VACUUM ANALYZE request_gruenflaechen;
VACUUM ANALYZE request_poi;
VACUUM ANALYZE request_strassen;

